class SerializersRegistry:
    _registry = {}

    @classmethod
    def register(cls, name, serializer):
        cls._registry[name] = serializer

    @classmethod
    def get(cls, name):
        return cls._registry.get(name)

    @classmethod
    def list_serializers(cls):
        return list(cls._registry.keys())


def register_serializer(cls):
    name = cls.__name__.replace("Serializer", "").lower()
    SerializersRegistry.register(name, cls)
    return cls